/*
 * Segment 2 (KEx),  SWE 2.WebFS Web Feature Service
 * Copyright (C) 2007 BitCtrl Systems GmbH 
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weienfelser Strae 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.kex.wfs.wfs;

/**
 * Testdatei f&&uml;r zu exportierende Objekte: nur Stra&szlig;ensegmente.
 * 
 * @author BitCtrl Systems GmbH, Gieseler
 * @version $Id: ExportObjekteNurSegmente.java 8818 2008-05-09 14:57:20Z gieseler $
 * 
 */
public final class ExportObjekteGewaesser {
	/**
	 * Enth&auml;lt je Eintrag jeweils die Pid des ObjektTyps, die Pid der
	 * Attributgruppe sowie den Aspekt.
	 */
	@SuppressWarnings("nls")
	private static final Object[][] EXPORTOBJEKTE = new Object[][] {
			// ObjektTyp, Attributgruppe, Aspekt
			{ "typ.gewsser", "atg.komplexKoordinaten", "asp.eigenschaften" }};

	/**
	 * Gibt die Liste der Objekte zur&uml;ck.
	 * 
	 * @return die Liste der zu exportierenden Objekte
	 */
	public static Object[][] getExportObjekte() {
		return EXPORTOBJEKTE;
	}

	/**
	 * Privater Konstruktor.
	 */
	private ExportObjekteGewaesser() {
		/** nur zur Beruhigung von CheckStyle */
	}
}
