package org.geotools.data.vrz;

import java.io.IOException;
import java.net.URI;
import java.net.URISyntaxException;
import java.util.HashMap;
import java.util.Map;
import java.util.NoSuchElementException;

import junit.framework.TestCase;

import org.geotools.data.DataStore;
import org.geotools.data.DefaultQuery;
import org.geotools.data.FeatureReader;
import org.geotools.data.Transaction;
import org.geotools.data.vrz3.VRZ3DataStore;
import org.geotools.data.vrz3.VRZ3DataStoreFactory;
import org.geotools.feature.AttributeType;
import org.geotools.feature.Feature;
import org.geotools.feature.IllegalAttributeException;


public class TestVRZDatastore extends TestCase {

	//@Test
	public void testDataStore() {
        Map<String, Object> params = new HashMap<String, Object>();
        params.put(VRZ3DataStoreFactory.PARAM_DAV.key, "10.44.44.12:8083");
        params.put(VRZ3DataStoreFactory.PARAM_DAV_NUTZER.key, "Tester");
        //params.put(VRZ3DataStoreFactory.PARAM_DAV_AUTHENTIFIZIERUNG.key, "/home/gysi/workspace/DAV-Neu/Projekte/SIN-Test/skripte-bash/passwd");
        params.put(VRZ3DataStoreFactory.PARAM_DAV_AUTHENTIFIZIERUNG.key, "geheim");
        try {
			params.put(VRZ3DataStoreFactory.PARAM_NAMESPACE.key, new URI("vrz3wfs"));
		} catch (URISyntaxException e1) {
			// TODO Auto-generated catch block
			e1.printStackTrace();
		}
        
        // impliziter Aufruf con Getcapabilities! 
        DataStore wfs;
		try {
			wfs = (new VRZ3DataStoreFactory()).createDataStore(params);
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
			fail();
			return;
		}

        String[] typenames;
		try {
			typenames = wfs.getTypeNames();
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
			fail();
			return;
		}
        
        
        for(int  i=0; i<typenames.length; i++) {
        	String ct = typenames[i];
        	System.out.println("FeatureType: " +  ct);
       		System.out.println("reading Feature: " + ct);
       		
       		DefaultQuery query = new DefaultQuery(ct);
       		FeatureReader fr;
			try {
				fr = wfs.getFeatureReader(query,Transaction.AUTO_COMMIT);
			} catch (IOException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
				continue;
			}

        	for( AttributeType a : fr.getFeatureType().getAttributeTypes() ) {
        		System.out.println(" AttributeType: " +  a);
        	}
        	
           	try {
                if(fr.hasNext()) {
                	Feature f = fr.next();
                    System.out.println("Feature: " + fr.getFeatureType().getTypeName() +
                    		" ID: " + f.getID() );
                	for( AttributeType a : fr.getFeatureType().getAttributeTypes() ) {
                		System.out.println(" Attribute: " +  a.getName() + 
                				", Wert: " + f.getAttribute(a.getName()));
                	}
                }
        		System.out.println("Ende");
            } catch (IllegalAttributeException e) {
            	// TODO Automatisch erstellter Catch-Block
            	e.printStackTrace();
            } catch (NoSuchElementException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			} catch (IOException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
            finally {
            	try {
					fr.close();
				} catch (IOException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}
            }
         }
	}
}
